<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingVertical="6dp"
            app:layout_constraintTop_toTopOf="parent">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_8"
                android:padding="@dimen/dp_8"
                android:src="@drawable/icon_return_w" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/screenshot_clean"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />
        </FrameLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="34dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_title">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/white"
                android:textSize="32sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="KB"
                android:textColor="@color/white"
                android:textSize="12sp"
                app:layout_constraintStart_toEndOf="@id/tv_size"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText,TextContrastCheck" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:layout_marginBottom="67dp"
            android:text="@string/screenshots_totally"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_size"
            tools:ignore="TextContrastCheck" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.base.appzxhy.business.ads.NativeParentView
        android:id="@+id/flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="12dp"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/zhanwei1"
            tools:ignore="ImageContrastCheck" />

    </com.base.appzxhy.business.ads.NativeParentView>

    <pokercc.android.expandablerecyclerview.ExpandableRecyclerView
        android:id="@+id/expandable_files"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:paddingTop="8dp"
        android:paddingBottom="12dp"
        app:layout_constraintBottom_toTopOf="@id/ll_bottom"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flAd"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_empty"
        android:layout_width="@dimen/dp_150"
        android:layout_height="@dimen/dp_150"
        android:src="@drawable/queshengtu"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="@id/expandable_files"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/expandable_files"

        app:layout_constraintVertical_bias="0.2" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="horizontal"
        android:padding="16dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_select_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_select_all"
                android:layout_width="@dimen/dp_30"
                android:layout_height="@dimen/dp_30"
                android:src="@drawable/bg_select_yuan"
                tools:ignore="ImageContrastCheck" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:text="@string/select_all"
                android:textColor="@color/color_666666"
                android:textSize="12sp" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_delete"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_weight="1"
            android:background="@drawable/bg_enable_4"
            android:gravity="center"
            android:paddingTop="12dp"
            android:paddingBottom="12dp"
            android:text="@string/delete"
            android:textColor="@color/white"
            android:textSize="14sp"
            tools:ignore="TextContrastCheck" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation"
        android:visibility="gone" />
</androidx.constraintlayout.widget.ConstraintLayout>